
Redmine - Defect #3405

Calendar control missplacement with IE7

2009-05-22 00:11 - Chris Martin

Status: Closed Start date: 2009-05-22

Priority: Normal Due date:  

Assignee:  % Done: 80%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 0.8.4

Description

Not sure if someone else already logged this.  Searches didn't come up with anything.   I'm using IE 7.  When i click on the calendar

popup
While the scroll bar is at the bottom of the screen, the calendar popup appears in the wrong spot.  It's almost as if the placement

does not account for vertical scrollbar shift.
History

#1 - 2009-05-25 19:27 - Jean-Philippe Lang

- Subject changed from Calendar control missplacement to Calendar control missplacement with IE7

#2 - 2009-07-24 16:36 - Chris Martin

I've upgraded by browser to firefox, it's working fine there :D

#3 - 2009-09-07 14:35 - Arnis Juraga

- % Done changed from 0 to 80

We have fixed it in local instance.

Modifyed file:

public\javascripts\calendar.js

Change in "function fixPosition(box)":

Replace:

br.y += document.body.scrollTop;

br.x += document.body.scrollLeft;

 with:

scrollTop = (document.documentElement.scrollTop ? document.documentElement.scrollTop : document.body.scrollTop

);

scrollLeft = (document.documentElement.scrollLeft ? document.documentElement.scrollLeft : document.body.scroll

Left);

br.y += scrollTop;

br.x += scrollLeft;

 Can someone upload this change?

#4 - 2009-11-11 23:35 - Jean-Philippe Lang

- Category changed from Issues to UI

#5 - 2013-01-14 10:44 - Daniel Felix

- Status changed from New to Needs feedback

This works fine for me in Redmine 2.2.1 with IE9, FF 17 and Chrome 23.

2025-07-09 1/2



I think this is resolved due to some jQuery UI changes. This Bug seems to be resolved. Anyone can test this with older browser versions?

#6 - 2013-01-14 23:14 - Arnis Juraga

Looks fixed. I have not noticed problem on latest Redmine versions anymore.

#7 - 2013-01-15 01:43 - Chris Martin

I'll see if i can test this out tomorrow and see how it behaves in IE 7

#8 - 2013-01-15 10:07 - Daniel Felix

Chris Martin wrote:

I'll see if i can test this out tomorrow and see how it behaves in IE 7

 This would be great. I currently haven't any IE 7 to test this.

#9 - 2013-01-15 17:15 - Chris Martin

Tested with 2.1.2 and it's working great.

#10 - 2013-01-15 19:46 - Daniel Felix

- Status changed from Needs feedback to Closed

- Resolution set to Fixed

Great. Thanks for your test Chris!

This should be fixed.

Files

img1.jpg 10.4 KB 2009-05-21 Chris Martin

img2.jpg 33.6 KB 2009-05-21 Chris Martin

Powered by TCPDF (www.tcpdf.org)

2025-07-09 2/2

http://www.tcpdf.org

